Main  |  Sign In  |  Create Account

Questions about cell phone or smartphone access to BusTracker?

Cell Phones
Cell phones may not have the full Internet browser access capabilities necessary to run BusTracker. Customers should contact their cell phone service provider for information on the phone's Internet capabilities.

Blackberry users must have version 4.1 or higher. BusTracker can be viewed on browsers, such as Internet Explorer, that support html.